<template>
  <v-snackbar v-model="showSnack" :top="true" color="success">
    {{ snackMessage }}
    <v-btn flat @click="showSnack = false">Close</v-btn>
  </v-snackbar>
</template>

<script>
import { mapGetters } from "vuex";
export default {
  data() {
    return {
      showSnack: false,
      snackMessage: ""
    };
  },
  computed: {
    ...mapGetters({ storeSnackMessage: "snackbar/getSnackbarMessage" })
  },
  watch: {
    storeSnackMessage(newMessage) {
      if (newMessage) this.displaySnackMessage(newMessage);
    }
  },
  methods: {
    displaySnackMessage(newMessage) {
      this.snackMessage = newMessage;
      this.showSnack = true;
    }
  }
};
</script>
